summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorgoiabae <[email protected]>2021-10-22 00:26:59 -0300
committergoiabae <[email protected]>2021-10-22 00:26:59 -0300
commit07a58ccc42a8a752cecb895254238baae9abdd50 (patch)
treeb5c925c7f4a98702f8a396f87503bfc500343f12 /scripts
parent72f482c4d675e4e82b6d37c10428de47f25d9b45 (diff)
added xbps as pm option
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/get.sh b/scripts/get.sh
index f64ff8041..f7ef65acf 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -156,9 +156,11 @@ install_tools()
{ emerge -V >/dev/null 2>&1 && $sudoprefix emerge -atv dev-vcs/git ccache; } ||
{ pkg list-installed >/dev/null 2>&1 && $sudoprefix pkg install -y git getconf build-essential readline ccache; } || # termux
{ pkg help >/dev/null 2>&1 && $sudoprefix pkg install -y git readline ccache ncurses; } || # freebsd
- { apk --version >/dev/null 2>&1 && $sudoprefix apk add git gcc g++ make readline-dev ncurses-dev libc-dev linux-headers; }
+ { apk --version >/dev/null 2>&1 && $sudoprefix apk add git gcc g++ make readline-dev ncurses-dev libc-dev linux-headers; } ||
+ { xbps-install --version >/dev/null 2>&1 && $sudoprefix xbps-install -Sy git base-devel ccache; } #void
+
}
-test_tools || { install_tools && test_tools; } || my_exit "$(echo -e 'Dependencies Installation Fail\nThe getter currently only support these package managers\n\t* apt\n\t* yum\n\t* zypper\n\t* pacman\n\t* portage\nPlease install following dependencies manually:\n\t* git\n\t* build essential like `make`, `gcc`, etc\n\t* libreadline-dev (readline-devel)\n\t* ccache (optional)')" 1
+test_tools || { install_tools && test_tools; } || my_exit "$(echo -e 'Dependencies Installation Fail\nThe getter currently only support these package managers\n\t* apt\n\t* yum\n\t* zypper\n\t* pacman\n\t* portage\n\t* xbps\n Please install following dependencies manually:\n\t* git\n\t* build essential like `make`, `gcc`, etc\n\t* libreadline-dev (readline-devel)\n\t* ccache (optional)')" 1
projectdir=$tmpdir
if [ 'x__local__' = "x$branch" ]; then
if [ -d '.git' ]; then